## org.apache.mahout.classifier.bayes
Class WikipediaDatasetCreatorReducer

    java.lang.Object
      org.apache.hadoop.mapreduce.Reducer<org.apache.hadoop.io.Text,org.apache.hadoop.io.Text,org.apache.hadoop.io.Text,org.apache.hadoop.io.Text>
          org.apache.mahout.classifier.bayes.WikipediaDatasetCreatorReducer

    public class WikipediaDatasetCreatorReducer

extends org.apache.hadoop.mapreduce.Reducer<org.apache.hadoop.io.Text,org.apache.hadoop.io.Text,org.apache.hadoop.io.Text,org.apache.hadoop.io.Text>

Can also be used as a local Combiner

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Reducer
`org.apache.hadoop.mapreduce.Reducer.Context`

Constructor Summary
`WikipediaDatasetCreatorReducer()`

Method Summary
`protected void` `reduce(org.apache.hadoop.io.Text key, Iterable<org.apache.hadoop.io.Text> values, org.apache.hadoop.mapreduce.Reducer.Context context)`

Methods inherited from class org.apache.hadoop.mapreduce.Reducer
`cleanup, run, setup`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WikipediaDatasetCreatorReducer

    public WikipediaDatasetCreatorReducer()

Method Detail

### reduce

    protected void reduce(org.apache.hadoop.io.Text key,
                          Iterable<org.apache.hadoop.io.Text> values,
                          org.apache.hadoop.mapreduce.Reducer.Context context)
                   throws IOException,
                          InterruptedException

  Overrides:
    `reduce` in class `org.apache.hadoop.mapreduce.Reducer<org.apache.hadoop.io.Text,org.apache.hadoop.io.Text,org.apache.hadoop.io.Text,org.apache.hadoop.io.Text>`
  Throws:
    `IOException`
    `InterruptedException`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.